#!/usr/bin/astra

log.set({ stdout = false, debug = false, syslog = "astra", })

f12576isi10 = make_t2mi_decap({
        name = "12576H ISI10 T2-MI PLP0",
        input = "http://127.0.0.1:8001/1:0:1:320:1:1:2123120:0:0:0:",
        plp = 0,
        pnr = 0,
        pid = 4096, })

f12576isi20 = make_t2mi_decap({
        name = "12576H ISI10 T2-MI PLP2",
        input = "http://127.0.0.1:8001/1:0:1:320:1:1:2123120:0:0:0:",
        plp = 2,
        pnr = 0,
        pid = 4096, })

f12596isi10 = make_t2mi_decap({
        name = "12596H ISI10 T2-MI PLP0",
        input = "http://127.0.0.1:8001/1:0:1:320:1:1:2120000:0:0:0:",
        plp = 0,
        pnr = 0,
        pid = 4096, })

make_channel({                                                         
        name   =   "RTRN-1", input = { "t2mi://f12576isi10", },           
        output = { "http://0.0.0.0:9999/rtrn-1"    },        })
make_channel({                                                         
        name   =   "RTRN-1", input = { "t2mi://f12576isi20", },           
        output = { "http://0.0.0.0:9999/rtrn-1"    },        })

make_channel({                                                         
        name   =   "RTRN-2", input = { "t2mi://f12596isi10", },           
        output = { "http://0.0.0.0:9999/rtrn-2"    },        })


make_channel({
    name = "Perviy(0)",
    input =  { "t2mi://f12576isi10#pnr=1010"      },
    output = { "http://0.0.0.0:9999/rtrn-1/1010"  }  })

make_channel({
    name = "Rossiya(0)",
    input =  { "t2mi://f12576isi10#pnr=1020"      },
    output = { "http://0.0.0.0:9999/rtrn-1/1020"  } })

make_channel({
    name = "Match!",
    input =  { "t2mi://f12576isi10#pnr=1030"       },
    output = { "http://0.0.0.0:9999/rtrn-1/1030"   } })

make_channel({
    name = "NTV(0)",
    input =  { "t2mi://f12576isi10#pnr=1040"       },
    output = { "http://0.0.0.0:9999/rtrn-1/1040"   }  })

make_channel({
    name = "05  ",
    input =  { "t2mi://f12576isi10#pnr=1050"       },
    output = { "http://0.0.0.0:9999/rtrn-1/1050"   }  })

make_channel({
    name = "RossiyaK",
    input =  { "t2mi://f12576isi10#pnr=1060"       },
    output = { "http://0.0.0.0:9999/rtrn-1/1060"   } })

make_channel({
    name = "Rossiya24",
    input =  { "t2mi://f12576isi20#pnr=1070"       },
    output = { "http://0.0.0.0:9999/rtrn-1/1070"   }  })

make_channel({
    name = "Karusel(0)",
    input =  { "t2mi://f12576isi10#pnr=1080"       },
    output = { "http://0.0.0.0:9999/rtrn-1/1080"   } })

make_channel({
    name = "OTR",
    input =  { "t2mi://f12576isi10#pnr=1090"      },
    output = { "http://0.0.0.0:9999/rtrn-1/1090"  } })

make_channel({
    name = "TVCentr(0)",
    input =  { "t2mi://f12576isi10#pnr=1100"      },
    output = { "http://0.0.0.0:9999/rtrn-1/1100"  } })

make_channel({
    name = "VestiFM ",
    input =  { "t2mi://f12576isi10#pnr=1110"      },
    output = { "http://0.0.0.0:9999/rtrn-1/1110"  } })

make_channel({
    name = " Mayak",
    input =  { "t2mi://f12576isi10#pnr=1120"      },
    output = { "http://0.0.0.0:9999/rtrn-1/1120"  } })

make_channel({
    name = "RadioRossii",
    input =  { "t2mi://f12576isi10#pnr=1130"     },
    output = { "http://0.0.0.0:9999/rtrn-1/1130" } })

make_channel({
    name = "Ren-TV",
    input =  { "t2mi://f12596isi10#pnr=2010"     },
    output = { "http://0.0.0.0:9999/rtrn-2/2010" } })

make_channel({
    name = "Spas",
    input =  { "t2mi://f12596isi10#pnr=2020"     },
    output = { "http://0.0.0.0:9999/rtrn-2/2020" } })

make_channel({
    name = "STS",
    input =  { "t2mi://f12596isi10#pnr=2030"     },
    output = { "http://0.0.0.0:9999/rtrn-2/2030" } })

make_channel({
    name = "HOME",
    input =  { "t2mi://f12596isi10#pnr=2040"     },
    output = { "http://0.0.0.0:9999/rtrn-2/2040" } })

make_channel({
    name = "TV3",
    input =  { "t2mi://f12596isi10#pnr=2050" },
    output = { "http://0.0.0.0:9999/rtrn-2/2050" } })

make_channel({
    name = "Pyatnica",
    input =  { "t2mi://f12596isi10#pnr=2060"     },
    output = { "http://0.0.0.0:9999/rtrn-2/2060" } })

make_channel({
    name = "Zvezda",
    input =  { "t2mi://f12596isi10#pnr=2070"     },
    output = { "http://0.0.0.0:9999/rtrn-2/2070" } })

make_channel({
    name = "Mir",
    input =  { "t2mi://f12596isi10#pnr=2080"     },
    output = { "http://0.0.0.0:9999/rtrn-2/2080" } })

make_channel({
    name = "TNT",
    input =  {  "t2mi://f12596isi10#pnr=2090"    },
    output = { "http://0.0.0.0:9999/rtrn-2/2090" } })

make_channel({
    name = "MuzTV",
    input =  {  "t2mi://f12596isi10#pnr=2100"    },
    output = { "http://0.0.0.0:9999/rtrn-2/2100" } })

f12188isi10 = make_t2mi_decap({
        name = "12188H ISI10 T2-MI PLP0",
        input = "http://127.0.0.1:8001/1:0:1:320:64:2324:310000:0:0:0:",
        plp = 0,
        pnr = 0,
        pid = 4096,
})

f12188isi20 = make_t2mi_decap({
        name = "12188H ISI20 T2-MI PLP0",
        input = "http://127.0.0.1:8001/1:0:1:320:C8:2324:310000:0:0:0:",
        plp = 0,
        pnr = 0,
        pid = 4096,
})

f12341isi30 = make_t2mi_decap({
        name = "12341H ISI30 T2-MI PLP0",
        input = "http://127.0.0.1:8001/1:0:1:320:12C:2324:310000:0:0:0:",
        plp = 0,
        pnr = 0,
        pid = 4096,
})

make_channel({                                                         
        name = "ZeonBud-MX1", input = { "t2mi://f12188isi10", },           
        output = { "http://0.0.0.0:9999/zombi/mx1", },             
})

make_channel({                                                         
        name = "ZeonBud-MX2", input = { "t2mi://f12188isi20", },           
        output = { "http://0.0.0.0:9999/zombi/mx2", },             
})

make_channel({                                                         
        name = "ZeonBud-MX3", input = { "t2mi://f12341isi30", },           
        output = { "http://0.0.0.0:9999/zombi/mx3", },             
})

make_channel({
    name = "",
    input = {
        "t2mi://f12188isi10#pnr=11"
    },
    output = {
        "http://0.0.0.0:9999/zombi/11"
    }
})

make_channel({
    name = "",
    input = {
        "t2mi://f12188isi10#pnr=12"
    },
    output = {
        "http://0.0.0.0:9999/zombi/12"
    }
})

make_channel({
    name = "1+1",
    input = {
        "t2mi://f12188isi10#pnr=13"
    },
    output = {
        "http://0.0.0.0:9999/zombi/13"
    }
})

make_channel({
    name = "",
    input = {
        "t2mi://f12188isi10#pnr=14"
    },
    output = {
        "http://0.0.0.0:9999/zombi/14"
    }
})

make_channel({
    name = "K-1",
    input = {
        "t2mi://f12188isi10#pnr=15"
    },
    output = {
        "http://0.0.0.0:9999/zombi/15"
    }
})

make_channel({
    name = " 2",
    input = {
        "t2mi://f12188isi10#pnr=16"
    },
    output = {
        "http://0.0.0.0:9999/zombi/16"
    }
})

make_channel({
    name = "ICTV",
    input = {
        "t2mi://f12188isi10#pnr=17"
    },
    output = {
        "http://0.0.0.0:9999/zombi/17"
    }
})

make_channel({
    name = "Enter-",
    input = {
        "t2mi://f12188isi10#pnr=18"
    },
    output = {
        "http://0.0.0.0:9999/zombi/18"
    }
})

make_channel({
    name = "ZOOM",
    input = {
        "t2mi://f12188isi20#pnr=21"
    },
    output = {
        "http://0.0.0.0:9999/zombi/21"
    }
})

make_channel({
    name = "ʳ",
    input = {
        "t2mi://f12188isi20#pnr=22"
    },
    output = {
        "http://0.0.0.0:9999/zombi/22"
    }
})

make_channel({
    name = "",
    input = {
        "t2mi://f12188isi20#pnr=23"
    },
    output = {
        "http://0.0.0.0:9999/zombi/23"
    }
})

make_channel({
    name = "",
    input = {
        "t2mi://f12188isi20#pnr=24"
    },
    output = {
        "http://0.0.0.0:9999/zombi/24"
    }
})

make_channel({
    name = "-2",
    input = {
        "t2mi://f12188isi20#pnr=25"
    },
    output = {
        "http://0.0.0.0:9999/zombi/25"
    }
})

make_channel({
    name = " ",
    input = {
        "t2mi://f12188isi20#pnr=26"
    },
    output = {
        "http://0.0.0.0:9999/zombi/26"
    }
})

make_channel({
    name = "-1",
    input = {
        "t2mi://f12188isi20#pnr=27"
    },
    output = {
        "http://0.0.0.0:9999/zombi/27"
    }
})

make_channel({
    name = "5 ",
    input = {
        "t2mi://f12188isi20#pnr=28"
    },
    output = {
        "http://0.0.0.0:9999/zombi/28"
    }
})

make_channel({
    name = "",
    input = {
        "t2mi://f12341isi30#pnr=31"
    },
    output = {
        "http://0.0.0.0:9999/zombi/31"
    }
})

make_channel({
    name = "Pixel",
    input = {
        "t2mi://f12341isi30#pnr=32"
    },
    output = {
        "http://0.0.0.0:9999/zombi/32"
    }
})

make_channel({
    name = "XSPORT",
    input = {
        "t2mi://f12341isi30#pnr=33"
    },
    output = {
        "http://0.0.0.0:9999/zombi/33"
    }
})

make_channel({
    name = " ",
    input = {
        "t2mi://f12341isi30#pnr=34"
    },
    output = {
        "http://0.0.0.0:9999/zombi/34"
    }
})

make_channel({
    name = "2+2",
    input = {
        "t2mi://f12341isi30#pnr=35"
    },
    output = {
        "http://0.0.0.0:9999/zombi/35"
    }
})

make_channel({
    name = "Z",
    input = {
        "t2mi://f12341isi30#pnr=36"
    },
    output = {
        "http://0.0.0.0:9999/zombi/36"
    }
})

make_channel({
    name = " TV",
    input = {
        "t2mi://f12341isi30#pnr=37"
    },
    output = {
        "http://0.0.0.0:9999/zombi/37"
    }
})

make_channel({
    name = "BUSINESS",
    input = {
        "t2mi://f12341isi30#pnr=38"
    },
    output = {
        "http://0.0.0.0:9999/zombi/38"
    }
})


